Name: ftpcopy
Version: 0.6.2
Release: 3
License: Free, no warranties.
Group: Applications/Internet
Source: http://www.ohse.de/uwe/ftpcopy/ftpcopy-%{version}.tar.gz
URL: http://www.ohse.de/uwe/ftpcopy.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: An ftp mirroring tool.

%description
ftpcopy is a simply FTP client written to copy files or directories
(recursively) from a FTP server. It's primary purpose is to mirror
FTP sites which support the EPLF directory listing format, but it
may be used to mirror other sites, too.

%prep
%setup -q -n web
cd %{name}-%{version}

%build
cd %{name}-%{version}
export CFLAGS="$RPM_OPT_FLAGS"
make

%install
cd %{name}-%{version}
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -m 755 command/* $RPM_BUILD_ROOT%{_bindir}
install -m 644 compile/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

# Copy %doc files to work around rediculous upstream packaging (web dir)
cp src/{ChangeLog,NEWS,README,THANKS} ..

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README THANKS
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 15 2003 Thomas Woerner <twoerner@redhat.com> 0.6.2-2
- rebuild

* Mon Apr 14 2003 Thomas Woerner <twoerner@redhat.com> 0.6.2-1
- new version 0.6.2 (#88749)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sat Nov 30 2002 Mike A. Harris <mharris@redhat.com> 0.5.2-1
- Update to version 0.5.2
- Fix unpackaged documentation files, add THANKS file

* Thu Aug  1 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.5.1-1
- Update to 0.5.1 (bugfix release fixing a potential crash)
- Fix usage of "extern int errno"

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.4.4-1
- 0.4.4

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.4.3-1
- 0.4.3
- rewrite specfile to adapt to the ultimately broken new build system used by
  ftpcopy

* Sun Jun 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.3.9-1
- 0.3.9

* Tue Apr 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.3.7-1
- 0.3.7

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.3.4 - fixes date mismatches in a couple of cases

* Tue Dec  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to 0.3.3 - fixes security bugs. A ftp server being mirrored could
  overwrite any files on the mirroring system by sending filenames containing
  "../"

* Wed Jul 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.3.0 to get man pages

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat May 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package
